.movie-grid {
  @apply grid grid-cols-1 md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5 w-full pt-14 md:pt-0;
}

.movie-grid a {
  @apply relative cursor-pointer h-96 overflow-hidden box-border
    mx-6 md:mx-0 mb-6 md:mb-0
    rounded-xl md:rounded-none;
}

.movie-grid a img {
  @apply min-w-full h-full z-0 object-cover transition-all;
}

.movie-grid a h5 {
  @apply text-white text-xl;
}

.movie-grid .movie-grid__description {
  @apply absolute z-10 left-0 -bottom-full min-h-max w-full p-4 space-y-2
    text-right transition-all;
}

/* BEGIN: HOVER */
.movie-grid a:hover::after {
  @apply absolute bottom-0 left-0 h-1/2 w-full
    bg-gradient-to-t from-black;
  content: '';
}

.movie-grid a:hover img {
  @apply min-w-[calc(120%)];
}

.movie-grid a:hover img {
  @apply min-w-[calc(120%)];
}

.movie-grid a:hover .movie-grid__description {
  @apply -bottom-0;
}
/* BEGIN: HOVER */
